[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: glib2.0, libsoup2.4 and gvfs on GNU/kFreeBSD



Am Freitag, den 29.02.2008, 09:48 +0100 schrieb Petr Salinger:
> > Could you (or someone else) try building glib2.0, libsoup2.4 and gvfs
> > from experimental on GNU/kFreeBSD, in that order? I'd like to know if
> > there's something to fix before these can go to unstable :)
> 
> glib2.0 (2.15.6-1) builds fine for me. Compared to failed experimental buildd log,
> I used newer glibc and it have been built under kernel based on FreeBSD 7.0, not 6.x one.
> The threadpool-test still FAILS.

That one fails for linux/i386 too, still no idea why :)

> libsoup2.4 (2.3.4-1) builds fine for me.  

That's good news :)

> gvfs (0.1.8-1) does not build.
> libfuse-dev is linux specific package,  gvfs should not build-depend on it on non-linux platform.
> I would guess gvfs-fuse binary package should be also linux specific. 
> Unfortunately, we do not have  "libhal-dev (>= 0.5.10)", our 0.5.9-2+kbsd is not sufficient.
> The patch http://glibc-bsd.alioth.debian.org/patches/hal.diff does not provide working hald,
> so it have not yet been submitted in any BTS.
> We have to update our libvolume-id and hal before gvfs can be built.

Ok, I'll change the fuse stuff for the next upload already so things
probably work magically once libvolume-id and hal are updated :)

Thanks for testing these things for me :)

PS: does the gdbe stuff work on GNU/kFreeBSD too? I currently have a
plain FreeBSD machine here, if gdbe works fine with GNU/kFreeBSD that
might be a reason to switch :)

Attachment: signature.asc
Description: Dies ist ein digital signierter Nachrichtenteil


Reply to: